#!/bin/bash

set -e

. variables.sh

helm repo add syself https://charts.syself.com
helm repo update syself

CILIUM_VERSION=1.12.2

KUBECONFIG=$CAPH_WORKER_CLUSTER_KUBECONFIG helm upgrade --install ccm syself/ccm-hcloud --version 1.0.11 \
	--namespace kube-system \
	--set secret.name=hetzner \
	--set secret.tokenKeyName=hcloud \
	--set privateNetwork.enabled=false
