#!/bin/bash

set -e

PROVIDER_OWNER=syself
PROVIDER_REPO=cluster-api-provider-hetzner
PROVIDER="$PROVIDER_OWNER/$PROVIDER_REPO"

echo "listing newest releases (includes pre-releases)"
gh release list -R "$PROVIDER"

echo
echo "view the most recent release"
newest=$(gh release list -R syself/cluster-api-provider-hetzner -L 1 | tail -n +1 | awk '{print $1}')
gh release view "$newest" -R "$PROVIDER"
