#!/bin/bash

set -e

. variables.sh

helm repo add cilium https://helm.cilium.io/

CILIUM_VERSION=1.12.2

KUBECONFIG=$CAPH_WORKER_CLUSTER_KUBECONFIG helm upgrade --install cilium cilium/cilium --version "$CILIUM_VERSION" \
--namespace kube-system \
-f https://raw.githubusercontent.com/syself/cluster-api-provider-hetzner/main/templates/cilium/cilium.yaml
