#!/bin/bash
#
. kind.sh

kind create cluster --name "$CLUSTER_NAME"

until kubectl cluster-info --context "kind-$CLUSTER_NAME"
do
  echo "waiting for cluster to come online..."
  sleep 1
done

echo "checking nodes"
kubectl get nodes

kubectl wait --for=condition=ready nodes/clank-boostrap-control-plane
