#!/bin/bash

set -e

echo "setting up kind"
pushd kind

./delete-kind.sh || true
./create-kind.sh

popd

echo "setting up boostrap cluster api"

pushd clusterapi

./initialize.sh
./load-secret.sh
./initialize-hetzner.sh

./get-config.sh
./add-cni.sh
./add-ccm.sh
./add-csi.sh
./move-clusters.sh

popd

echo "installing flux"

pushd flux

./bootstrap.sh

popd


